changeset 1765:feac53ef0d1c draft

Building ELF toolchain with ./build.sh should stop early.
author Rob Landley <rob@landley.net>
date Tue, 26 May 2015 23:50:45 -0500
parents 12490c08f585
children 98a53110ce38
files build.sh
diffstat 1 files changed, 7 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- a/build.sh	Tue May 26 23:50:09 2015 -0500
+++ b/build.sh	Tue May 26 23:50:45 2015 -0500
@@ -139,6 +139,13 @@
   do_stage cross-compiler "$ARCH"
 fi
 
+if ! grep -q KARCH= sources/targets/"$ARCH"
+then
+  echo no KARCH in $1, stopping here
+fi
+
+exit 1
+
 # Build the basic root filesystem.
 
 if not_already root-filesystem